dsohayda
Enthusiast
Enthusiast

vifptarget: command not found since upgrading

Jump to solution

I upgraded my vma appliance from 5.1.0.0 build 782391 to 5.1.0.1 build 1062361 this morning and now when I try to issue the vifptarget command to specify one of the hosts in my list as the target I get

-bash: vifptarget: command not found

I can view the man page of the command and I see it listed in /opt/vmware/vma/bin/ along with vifp which does work to add or remove hosts.

I've tried logging out or restarting the appliance but that didn't help. I tried adding the command's location to my path and that only generated errors.

Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /opt/vmware/vma/sbin/touchSession.pl line 12.
BEGIN failed--compilation aborted at /opt/vmware/vma/sbin/touchSession.pl line 12.
./vifptarget: line 185: return: can only `return' from a function or sourced script

Does anybody know what's wrong with it?

thanks

Tags (2)
0 Kudos
1 Solution

Accepted Solutions
admin
Immortal
Immortal

You can try:

1. From the vMA console, open the /etc/bash.bashrc file in the vi editor.

2. Add following lines at the end of /etc/bash.bashrc

alias vifptarget="source /opt/vmware/vma/bin/vifptarget"

source /opt/vmware/vma/bin/completion_vifp

source /opt/vmware/vma/bin/completion_vifptarget

source /opt/vmware/vma/bin/completion_vifs

export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}/opt/vmware/vma/lib64:/opt/vmware/vma/lib

3 Run:

source /etc/bash.bashrc

View solution in original post

0 Kudos
14 Replies
Robby_A
Contributor
Contributor

Same Problem here!

none of our scripts works and we got no idea how to fix this!

0 Kudos
rhunter
Contributor
Contributor

Same here, looks like they busted something. I'll have to revert back to 5.1.0.0

0 Kudos
dsohayda
Enthusiast
Enthusiast

I wish I could revert my upgrade, unfortunately I didn't think I needed to take a snapshot.

What I find strange is that according to this kb the patch 1 version of the appliance is build 2044135, but my build number is only 1062361 after upgrading it from the admin site.

http://kb.vmware.com/selfservice/microsites/search.do?language=en_US&cmd=displayKC&externalId=204413...

0 Kudos
tonyjwood
Contributor
Contributor

I contacted support, if not 5.1 before upgrade then you need to install fresh.

They referred me to installation notes:

You can install the patch over an existing vMA 5.1 installation.

Important: You can install this patch only on vMA 5.1. Use only the Web user interface to upgrade your existing vMA 5.1 instance.

Would have been useful if the Web UI prevented the upgrade if it's not compatiable.

0 Kudos
dsohayda
Enthusiast
Enthusiast

mine was 5.1 already before upgrading though.

I contacted support as well, but they weren't as helpful as your rep. They suggested I download a fresh copy and use that instead. duh! obviously starting over from scratch would work, but I'm more interested in a solution to the problem their update caused.

0 Kudos
tonyjwood
Contributor
Contributor

I was running version 5.  So it sounds like it breaks any version with the upgrade, although documentation says it's fine to upgrade via UI if on 5.1 already.  I really don't want to redeploy the applicance and setup targets again for any new release. Pretty poor really.

0 Kudos
dsohayda
Enthusiast
Enthusiast

Maybe I clicked on the "upgrade" button incorrectly :smileyplain:

What's worse is they closed my ticket after suggesting I just re-deploy a new version. That's some kind of support we're paying for!

I requested that it be opened again since they didn't actually fix my problem or even troubleshoot it for that matter. Hopefully I get a different rep who cares a little more...

0 Kudos
admin
Immortal
Immortal

You can try:

1. From the vMA console, open the /etc/bash.bashrc file in the vi editor.

2. Add following lines at the end of /etc/bash.bashrc

alias vifptarget="source /opt/vmware/vma/bin/vifptarget"

source /opt/vmware/vma/bin/completion_vifp

source /opt/vmware/vma/bin/completion_vifptarget

source /opt/vmware/vma/bin/completion_vifs

export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}/opt/vmware/vma/lib64:/opt/vmware/vma/lib

3 Run:

source /etc/bash.bashrc

View solution in original post

0 Kudos
bertdb
Virtuoso
Virtuoso

that does the trick for me. Great!

0 Kudos
tonyjwood
Contributor
Contributor

I can also confirm the fix above works.  Support informed me they are getting a KB out soon.

0 Kudos
dsohayda
Enthusiast
Enthusiast

Fantastic! that worked for me as well. 

Thanks for the help.

So much for vmware support. They still haven't gotten back to me from last week after I requested that they re-open my ticket that they never bothered to troubleshoot.

0 Kudos
kklsen282
Contributor
Contributor

great work!

thats it. thanks

0 Kudos
JohnPetridis
Contributor
Contributor

I am getting the below errors and have tried the fix but no luck.

sudo /home/vi-admin/upsVIShutdown.pl
Can't load '/usr/lib/perl5/site_perl/5.10.0/libvmatargetlib_perl.so' for module vmatargetlib_perl: libtypes.so: cannot open shared object file: No such file or directory at /usr/lib/perl5/5.10.0/x86_64-linux-thread-multi/DynaLoader.pm line 203.
at /usr/lib/perl5/site_perl/5.10.0/VMware/VmaTargetLib.pm line 10
Compilation failed in require at /usr/lib/perl5/site_perl/5.10.0/VMware/VIFPLib.pm line 9.
BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.10.0/VMware/VIFPLib.pm line 9.
Compilation failed in require at /home/vi-admin/upsVIShutdown.pl line 12.
BEGIN failed--compilation aborted at /home/vi-admin/upsVIShutdown.pl line 12.

Any ideas?

0 Kudos
DogDaze
Contributor
Contributor

Hi John,

We had the same issue with a new vMA that was upgraded from 5.1.0.0 to 5.1.0.1 (right out of the gates)

However, we were able to get it to work with this noted solution. (once we corrected a typo we had made)

alias vifptarget="source /opt/vmware/vma/bin/vifptarget"
source /opt/vmware/vma/bin/completion_vifp
source /opt/vmware/vma/bin/completion_vifptarget
source /opt/vmware/vma/bin/completion_vifs
export LD_LIBRARY_PATH=${LD_LIBRARY_PATH:+$LD_LIBRARY_PATH:}/opt/vmware/vma/lib64:/opt/vmware/vma/lib

You might wish to double check for typos as we believe this solution is still valid. -j

0 Kudos